# ``twisted`.`web`.`iweb`.`ITemplateLoader``

interface documentation

`class ITemplateLoader(Interface): (source)`

Known implementations: `twisted.web.template.TagLoader`, `twisted.web.template.XMLFile`, `twisted.web.template.XMLString`

View In Hierarchy

A loader for templates; something usable as a value for `twisted.web.template.Element`'s `loader` attribute.

Method | `load` | Load a template suitable for rendering.

def load(): (source)
Load a template suitable for rendering.

Returns
`List[Flattenable]` | a `list` of flattenable objects, such as byte and unicode strings, `twisted.web.template.Element`s and `IRenderable` providers.